Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 23-06-2021 11:11:54

dennis1138
Membre
Distrib. : Debian GNU/Linux 10 (buster) x86_64
Noyau : Linux 4.19.0-16-amd64
(G)UI : MATE
Inscription : 16-05-2021

[Résole]Updating from such a repository can't be done securely

Bonjour,

Je prépare ma nouvelle machine avec la dernière version de Debian et j'ai un problème avec le gestionnaire de paquets. C'est un problème qui fait couler pas mal d'encre sur les forums, mais c'est un peu différent à chaque fois. Je suis encore novice, tout ce que je sais c'est qu'il y a quelque chose à éditer dans le fichier sources.list. En gros voici les retours:

apt-get update
Ign:1 cdrom://[Official Debian GNU/Linux Live 10.9.0 mate 2021-03-27T16:16] buster InRelease
Err:2 cdrom://[Official Debian GNU/Linux Live 10.9.0 mate 2021-03-27T16:16] buster Release
  Please use apt-cdrom to make this CD-ROM recognized by APT. apt-get update cannot be used to add new CD-ROMs
Hit:3 http://security.debian.org/debian-security buster/updates InRelease
Hit:4 http://deb.debian.org/debian buster InRelease                                                                                  
Ign:5 http://ppa.launchpad.net/teejee2008/ppa/ubuntu impish InRelease                                                                
Hit:6 http://deb.debian.org/debian buster-updates InRelease                                                                          
Hit:7 https://deb.debian.org/debian buster-backports InRelease                                                                        
Err:8 http://ppa.launchpad.net/teejee2008/ppa/ubuntu impish Release                                                                  
  404  Not Found [IP: 91.189.95.85 80]
Get:9 https://paulcarroty.gitlab.io/vscodium-deb-rpm-repo/debs vscodium InRelease [3,828 B]
Reading package lists... Done    
E: The repository 'cdrom://[Official Debian GNU/Linux Live 10.9.0 mate 2021-03-27T16:16] buster Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository '
http://ppa.launchpad.net/teejee2008/ppa/ubuntu impish Release' does not have a Release file.
N: Updating from such a repository can'
t be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
 


Le contenu du dossier sources.list.d :

ls sources.list.d
teejee2008-ubuntu-ppa-impish.list  vscodium.list


Je ne comprends pas ce que fait ce fichier ubuntu, le vscodium est un éditeur de code que je souhaitais installer.

D'après mes recherches il faut éditer le fichier sources.list, c'est tout ce que je sais, après je ne sais pas s'il s'agit de rajouter un adresse, etc...j'ai ben essayé de commenter des lignes par rapport à mes recherches sur le net mais sans résultat. Toute suggestion est la bienvenue !

Dernière modification par dennis1138 (23-06-2021 15:33:38)

Hors ligne

#2 23-06-2021 11:28:08

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : sid / bullseye (future stable)
Noyau : Linux -5.10.0-7-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [Résole]Updating from such a repository can't be done securely

bonjour dennis1138 ,  big_smile  big_smile  big_smile

déjà , mettre des dépôts ubuntu sur une debian , c'est pas  du tout recommandé .

https://wiki.debian.org/fr/DontBreakDebian

ensuite , tu as sans doute laissé le dépôt "cd rom" activé . il est conseillé de le commenter , une fois le systeme installé .

et pour terminer , vu que , apparemment , tu n'as pas touché à tes sources , active les dépôts "contrib" et "non-free"

à lire :

https://debian-facile.org/doc:systeme:apt:sources.list

https://debian-facile.org/doc:systeme:a … ist:buster

à quoi ressemble ton sources ?

cat -n /etc/apt/sources.list



pour le modifier :

nano /etc/apt/sources.list

# Debian Buster, dépôt principal + paquets non libres
deb http://deb.debian.org/debian/ buster main contrib non-free
deb-src http://deb.debian.org/debian/ buster main contrib non-free
 
# Debian Buster, mises à jour de sécurité + paquets non libres
deb http://deb.debian.org/debian-security/ buster/updates main contrib non-free
deb-src http://deb.debian.org/debian-security/ buster/updates main contrib non-free
 
# Debian Buster, mises à jour "volatiles" + paquets non libres
deb http://deb.debian.org/debian/ buster-updates main contrib non-free
deb-src http://deb.debian.org/debian/ buster-updates main contrib non-free



ctrl + o  pour enregistrer le fichier et  ctrl + x pour quitter l'éditeur

Hors ligne

#3 23-06-2021 11:45:01

dennis1138
Membre
Distrib. : Debian GNU/Linux 10 (buster) x86_64
Noyau : Linux 4.19.0-16-amd64
(G)UI : MATE
Inscription : 16-05-2021

Re : [Résole]Updating from such a repository can't be done securely

Salut Debian Alain et merci pour ta réponse,

Alors ce dépôt ubuntu je ne sais pas du tout ce qu'il fait ici...je le supprime simplement ?
Désolé j'ai complètement oublié de mettre le contenu du fichier sources.list :

cat -n sources.list
     1  deb https://deb.debian.org/debian/ buster-backports main non-free
     2 
     3  # deb cdrom:[Official Debian GNU/Linux Live 10.9.0 mate 2021-03-27T16:16]/ buster main
     4 
     5  # deb cdrom:[Official Debian GNU/Linux Live 10.9.0 mate 2021-03-27T16:16]/ buster main
     6 
     7  deb http://deb.debian.org/debian/ buster main non-free contrib
     8  deb-src http://deb.debian.org/debian/ buster main non-free contrib
     9 
    10  deb http://security.debian.org/debian-security buster/updates main contrib non-free
    11  deb-src http://security.debian.org/debian-security buster/updates main contrib non-free
    12 
    13  # buster-updates, previously known as 'volatile'
    14  deb http://deb.debian.org/debian/ buster-updates main contrib non-free
    15  deb-src http://deb.debian.org/debian/ buster-updates main contrib non-free
    16 
    17  # This system was installed using small removable media
    18  # (e.g. netinst, live or single CD). The matching "deb cdrom"
    19  # entries were disabled at the end of the installation process.
    20  # For information about how to configure apt package sources,
    21  # see the sources.list(5) manual.
 



Le dépôt CD-ROM est était bien désactivé de base, je vais lire la doc que tu proposes.

Hors ligne

#4 23-06-2021 13:03:47

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : sid / bullseye (future stable)
Noyau : Linux -5.10.0-7-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [Résole]Updating from such a repository can't be done securely

salut dennis1138 ,  :D  :D  :D

que donne ton fichier teejee2008-ubuntu-ppa-impish.list  ?

cat -n /etc/apt/sources.list.d/teejee2008-ubuntu-ppa-impish.list



tu as voulu installer timeshift (ubuntu) sur debian ?

pas une bonne idée .

ce que j'ai trouvé . apparemment , ce que tu as  fait :  https://github.com/teejee2008/timeshift

tu n'as pas  fait attention :

Debian based - Debian, Ubuntu, Linux Mint, Elementary OS, etc (supports apt)



donc , en théorie , timeshift (teejee) s'installe  avec apt .

apt policy timeshift


timeshift:
  Installé : (aucun)
  Candidat : 20.11.1-1
 Table de version :
     20.11.1-1 500
        100 http://deb.debian.org/debian testing/main amd64 Packages
        500 http://deb.debian.org/debian unstable/main amd64 Packages
     19.01+ds-2+deb10u1 100
        100 http://deb.debian.org/debian stable/main amd64 Packages
 



comme tu vois , j'ai pas installé timeshift  chez  moi , mais , il est bien présent dans les dépôts .

pour installer  timeshift sur debian , suffit de faire ceci :

apt -s install --reinstall timeshift

si tu tapes cette commande , apt fera une simulation .
rien ne sera installé .
pour installer , supprimmer le "-s"



mais d'abord , avant tout , faut nettoyer ta machine .

je suis pas  suffisamment  connaisseur pour rentrer dans toutes les  arcanes de ton os .

et franchement , j'espère que tu l'as pas cassé à installer un paquet ubuntu sur debian .

je te le souhaite pas . parceque là , c'est la réinstall direct de ton O.S.

que donne :

history | tail -n 100



sinon , tu as quoi comme distribution ?

lsb_release -a



quel bureau ?

echo $XDG_CURRENT_DESKTOP, $XDG_SESSION_TYPE



et , pour la curiosité , quel est ton display manager ?

systemctl status display-manager



voilà pour dégrossir .

maintenant , si un connaisseur peut venir t'aider , ce serai chouette ...

amicalement ,

alain.

coyotus.png

Hors ligne

#5 23-06-2021 14:31:19

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : sid / bullseye (future stable)
Noyau : Linux -5.10.0-7-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [Résole]Updating from such a repository can't be done securely

ton dépôt ubuntu , plutôt que de le supprimmer , commente - le .

mv /etc/apt/sources.list.d/teejee2008-ubuntu-ppa-impish.list  /etc/apt/sources.list.d/teejee2008-ubuntu-ppa-impish.list.back


ceci renommera ton fichier de sources



pour suivre , que donne : ?

apt update



à fins de recherche , que donne :

dpkg -l | grep timeshift

Dernière modification par Debian Alain (23-06-2021 14:41:05)

Hors ligne

#6 23-06-2021 14:56:18

dennis1138
Membre
Distrib. : Debian GNU/Linux 10 (buster) x86_64
Noyau : Linux 4.19.0-16-amd64
(G)UI : MATE
Inscription : 16-05-2021

Re : [Résole]Updating from such a repository can't be done securely

Alors pour le faire dans l'ordre:

at -n /etc/apt/sources.list.d/teejee2008-ubuntu-ppa-impish.list
     1  deb http://ppa.launchpad.net/teejee2008/ppa/ubuntu impish main
     2  # deb-src http://ppa.launchpad.net/teejee2008/ppa/ubuntu impish main
 



Effectivement j'ai essayer d'installer Timeshift. En fait en lisant la doc que tu m'a conseillée j'ai appris pas mal de trucs. Je viens de LinuxMint, jusque là j'ai travaillé sur mon système un peu à la "bourrin", et j'ai reproduit le même comportement sur Debian (l'installation est fraîche, il n'y a presque rien dessus). Or je me rends compte que ça ne se passe pas comme ça, et c'est bien parce que je suis passé sur Debian pour progresser dans ma compréhension des systèmes GNU/Linux. Je ne m'était pas rendu compte de ça avant. Donc cette erreur est très constructive !

Bref, pour la distrib c'est noté juste en dessous de mon nom, mais je mets les commandes quand même :

lsb_release -a
No LSB modules are available.
Distributor ID: Debian
Description:  Debian GNU/Linux 10 (buster)
Release:  10
Codename: buster
 


echo $XDG_CURRENT_DESKTOP, $XDG_SESSION_TYPE
MATE, x11



L'historique:

history | tail -n 100
  240  pavucontrol
  241  cp /etc/pulse/client.conf ~/.config/pulse/client.conf
  242  pacmd list-sinks | egrep 'index|name:|muted|device.description|active'
  243  nano ~/.config/pulse/client.conf
  244  pavucontrol
  245  nano ~/.config/pulse/client.conf
  246  pacmd list-sinks | egrep 'index|name:|muted|device.description|active'
  247  nano ~/.config/pulse/client.conf
  248  exit
  249  python
  250  exit
  251  uname
  252  uname -p
  253  apt-get install jackd qjackctl
  254  sudo apt-get install jackd qjackctl
  255  cd Downloads
  256  sudo sh ./install-reaper.sh
  257  cd REAPER
  258  cd reaper_linux_i686
  259  sh ./install-reaper.sh
  260  reaper
  261  cd
  262  reaper
  263  cd Downloads
  264  cd reaper_linux_i686
  265  sudo sh ./install-reaper.sh
  266  cd
  267  cd Downloads
  268  cd reaper_linux_i686
  269  cd REAPER
  270  reaper
  271  ./reaper
  272  reaper
  273  cd
  274  sudo apt-get install build-essential libgtk-3-dev git
  275  cd Downloads
  276  cd reaper_linux_i686
  277  cd REAPER
  278  reaper
  279  sudo reaper
  280  cd InstallData
  281  sudo sh ./uninstall-reaper.sh
  282  cd
  283  cd /opt/REAPER/InstallData
  284  sudo sh ./uninstall-reaper.sh
  285  reaper
  286  alsamixer
  287  sudo apt-get update
  288  sudo apt-get install idle
  289  idle
  290  cd Downlaods
  291  cd Downloads
  292  sudo sh ./Miniconda3-latest-Linux-x86_64.sh
  293  anaconda-navigator
  294  conda list
  295  conda activate base
  296  python
  297  sudo cd root
  298  cd
  299  sudo apt update && sudo apt install vscodium
  300  man apt-secure
  301  wget -qO - https://gitlab.com/paulcarroty/vscodium-deb-rpm-repo/-/raw/master/pub.gpg | gpg --dearmor | sudo dd of=/etc/apt/trusted.gpg.d/vscodium.gpg
  302  echo 'deb https://paulcarroty.gitlab.io/vscodium-deb-rpm-repo/debs/ vscodium main' | sudo tee --append /etc/apt/sources.list.d/vscodium.list
  303  sudo apt update && sudo apt install codium
  304  conda install numpy
  305  sudo /etc/apt# ca sources.list
  306  sudo /etc/apt# cat sources.list
  307  sudo /etc/apt cat sources.list
  308  cd etc
  309  cd /etc
  310  cd /apt
  311  cd apt
  312  man cat
  313  cat sources.list
  314  apt-get update
  315  sudo apt-get update
  316  sudo nano sources.list
  317  sudo apt-get update
  318  sudo apt-get update --allow-unauthenticated
  319  sudo nano sources.list
  320  sudo apt-get update
  321  sudo apt update
  322  sudo nano sources.list
  323  sudo apt-get update
  324  sudo nano sources.list
  325  man sources.list
  326  ls sources.list.d
  327  sudo nano sources.list
  328  sudo apt-get updtae
  329  sudo nano sources.list
  330  cat -n sources.list
  331  cd
  332  lsb_release -a
  333  cat -n /etc/apt/sources.list.d/teejee2008-ubuntu-ppa-impish.list
  334  echo $XDG_CURRENT_DESKTOP, $XDG_SESSION_TYPE
  335  systemctl status display-manager
  336  mv /etc/apt/sources.list.d/teejee2008-ubuntu-ppa-impish.list  /etc/apt/sources.list.d/teejee2008-ubuntu-ppa-impish.list.back
  337  apt update
  338  sudo apt update
  339  history | tail -n 100
 


bloc à supprimer si la commande n’affiche rien


lightdm.service - Light Display Manager
   Loaded: loaded (/lib/systemd/system/lightdm.service; indirect; vendor preset: enabled)
   Active: active (running) since Tue 2021-06-22 18:41:24 CEST; 20h ago
     Docs: man:lightdm(1)
  Process: 613 ExecStartPre=/bin/sh -c [ "$(cat /etc/X11/default-display-manager 2>/dev/null)" = "/usr/sbin/lightdm" ] (code=exited, status=0/SUCCESS)
 Main PID: 616 (lightdm)
    Tasks: 21 (limit: 4915)
   Memory: 98.0M
   CGroup: /system.slice/lightdm.service
           ├─616 /usr/sbin/lightdm
           └─632 /usr/lib/xorg/Xorg :0 -seat seat0 -auth /var/run/lightdm/root/:0 -nolisten tcp vt7 -novtswitch

 



L'update:

sudo apt update
Hit:1 http://deb.debian.org/debian buster InRelease
Hit:2 http://deb.debian.org/debian buster-updates InRelease                    
Hit:3 http://security.debian.org/debian-security buster/updates InRelease      
Ign:4 http://ppa.launchpad.net/teejee2008/ppa/ubuntu impish InRelease          
Err:5 http://ppa.launchpad.net/teejee2008/ppa/ubuntu impish Release            
  404  Not Found [IP: 91.189.95.85 80]
Hit:6 https://deb.debian.org/debian buster-backports InRelease                
Get:7 https://paulcarroty.gitlab.io/vscodium-deb-rpm-repo/debs vscodium InRelease [3,828 B]
Reading package lists... Done    
E: The repository 'http://ppa.launchpad.net/teejee2008/ppa/ubuntu impish Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.



La dernière :

dpkg -l | grep timeshift


ne donne rien.

Maintenant, mon système est tout frais comme j'ai dit plus haut, je ne vois aucun inconvénient pour le réinstaller et repartir sur du neuf en prenant en compte ce que j'ai appris, et repartir sur du propre.

Dernière modification par dennis1138 (23-06-2021 15:02:13)

Hors ligne

#7 23-06-2021 15:10:01

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : sid / bullseye (future stable)
Noyau : Linux -5.10.0-7-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [Résole]Updating from such a repository can't be done securely

j'ai mis du temps à réagir , pardon .

commence par renommer tes sources de timeshift :

mv /etc/apt/sources.list.d/teejee2008-ubuntu-ppa-impish.list  /etc/apt/sources.list.d/teejee2008-ubuntu-ppa-impish.list.back



puis , vérification :

apt update



normalement , çà doit déjà avancer .
tu ne dois plus avoir d'erreur sur le dépôt ppa .

ensuite , on vérifie la version installée .

dpkg -l | grep timeshift



si l'appli est là , la suite consiste à la désinstaller avec

apt remove --purge <paquet>



puis à le réinstaller :

apt install --reinstall timeshift

et là , normalement , c'est terminé .
tu n'as plus de problème de  sources et
tu as la bonne version de timeshift (pour debian)



vérification : 

apt policy timeshift

normalement , tu dois avoir la bonne version .
et c'est terminé .

Dernière modification par Debian Alain (23-06-2021 15:12:35)

Hors ligne

#8 23-06-2021 15:33:17

dennis1138
Membre
Distrib. : Debian GNU/Linux 10 (buster) x86_64
Noyau : Linux 4.19.0-16-amd64
(G)UI : MATE
Inscription : 16-05-2021

Re : [Résole]Updating from such a repository can't be done securely

Et bien il semble que tout soit rentré dans l'ordre :

apt policy timeshift
timeshift:
  Installed: 19.01+ds-2+deb10u1
  Candidate: 19.01+ds-2+deb10u1
  Version table:
     20.11.1-1~bpo10+1 100
        100 https://deb.debian.org/debian buster-backports/main amd64 Packages
 *** 19.01+ds-2+deb10u1 500
        500 http://deb.debian.org/debian buster/main amd64 Packages
        100 /var/lib/dpkg/status
N: Ignoring file 'teejee2008-ubuntu-ppa-impish.list.back' in directory '/etc/apt/sources.list.d/' as it has an invalid filename extension
 



Merci beaucoup Debian Alain, je vais continuer de bosser mon sujet avec la doc de Debian en faisant bien attention par la suite !

Hors ligne

#9 23-06-2021 16:11:38

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : sid / bullseye (future stable)
Noyau : Linux -5.10.0-7-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [Résole]Updating from such a repository can't be done securely

la logithèque de debian s'étend sur plus de 50,000 paquets (sauf erreur) .

tu devrai donc avoir suffisament de choix pour "customiser" ton install .

demande confirmation , mais je crois que je me trompe pas .

amicalement ,

alain.

coyotus.png

p.s. : pour terminer  tout à  fait , il te reste à supprimer les sources ubuntu de timeshift et tu n'auras plus le message d'erreur .

Dernière modification par Debian Alain (23-06-2021 16:18:55)

Hors ligne

Pied de page des forums